%global	_firmwarepath	/usr/lib/firmware
%global	commit	7f29411baead874b859eda53efdc2472345ea454
%global	shortcommit	%(c=%{commit}; echo ${c:0:7})

Name:		linux-firmware-raspberrypi
Version:	20230420
Release:	1%{?dist}
Summary:	Supplemental firmware used by Linux kernel for some Raspberry Pi models
BuildArch:	noarch

# LICENSE file installed by linux-firmware package also covers these suppremental firmware
# /usr/share/licenses/linux-firmware/LICENCE.broadcom_bcm43xx
License:	Redistributable, no modification permitted
URL:		https://github.com/RPi-Distro/firmware-nonfree

Source0:	https://github.com/RPi-Distro/firmware-nonfree/archive/%{commit}/firmware-nonfree-%{commit}.tar.gz

Requires:	linux-firmware

%description
This package provides suppremental firmware files not included in linux-firmware
package to enable Wi-Fi on some Raspberry Pi models.

%prep
%autosetup -n firmware-nonfree-%{commit}

%build

%install
install -d %{buildroot}%{_firmwarepath}/brcm
install -c -m 644 debian/config/brcm80211/brcm/brcmfmac43456-sdio.txt %{buildroot}%{_firmwarepath}/brcm/
install -c -m 644 debian/config/brcm80211/brcm/brcmfmac43456-sdio.bin %{buildroot}%{_firmwarepath}/brcm/
install -c -m 644 debian/config/brcm80211/brcm/brcmfmac43456-sdio.clm_blob %{buildroot}%{_firmwarepath}/brcm/
# Other firmware files installed by linux-firmware are compressed, so compress these as well
xz -C crc32 %{buildroot}%{_firmwarepath}/brcm/brcmfmac43456-sdio.bin
xz -C crc32 %{buildroot}%{_firmwarepath}/brcm/brcmfmac43456-sdio.clm_blob
xz -C crc32 %{buildroot}%{_firmwarepath}/brcm/brcmfmac43456-sdio.txt
# Create model-specific symlinks
ln -s brcmfmac43456-sdio.bin.xz %{buildroot}%{_firmwarepath}/brcm/brcmfmac43456-sdio.raspberrypi,400.bin.xz
ln -s brcmfmac43456-sdio.clm_blob.xz %{buildroot}%{_firmwarepath}/brcm/brcmfmac43456-sdio.raspberrypi,400.clm_blob.xz
ln -s brcmfmac43456-sdio.txt.xz %{buildroot}%{_firmwarepath}/brcm/brcmfmac43456-sdio.raspberrypi,400.txt.xz

%files
%{_firmwarepath}/brcm/*

%changelog
* Thu Apr 20 2023 Koichiro Iwao <koichiro.iwao@miraclelinux.com> - 20230420-1
- Initial creation 
